Đến nội dung


Hình ảnh
- - - - -

[Đã xong] Lisp mở bản vẽ


  • Please log in to reply
2 replies to this topic

#1 trananh0702

trananh0702

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 15 July 2011 - 11:54 AM

Mình dùng đoạn lisp sau để mở một bản vẽ, nhưng nếu mình đang mở một bản vẽ khác trước đấy thì khi nó mở bản vẽ cần mở ra mình phải ấn Ctrl+Tab để chuyển đến bản vẽ đấy. Mình muốn khi mìh gõ lệnh thì nó hiện luôn bản vẽ cần mở. Thank mọi người.
(defun C:mo nil (vla-open (vla-get-Documents (vlax-get-acad-object)) "C:\\abc\\foder\\....dwg"))
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 15 July 2011 - 12:54 PM

Bạn dùng vla-activate
Hàm con :

(defun ST:Dwg-Open (path / file)
(if (setq file (vla-open (vla-get-Documents (vlax-get-acad-object)) path :vlax-false))
(vla-activate file)
nil
))

Sử dụng :

(defun C:mo nil (ST:Dwg-Open "C:\\1.dwg"))


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 trananh0702

trananh0702

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 15 July 2011 - 01:42 PM

thank nhiều
  • 0